package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * AI评卷OCR识别定时任务
 */
@DisallowConcurrentExecution//串行执行
public class MarkAiJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(MarkAiJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) {
        jobService.autoAiMark();
    }
}
